Loading...
Searching...
No Matches
peripheral::DeviceManager::FirmwareUpdateStateChangedEvent Struct Reference

Event: Firmware update state has changed This event will be sent to enclose one of more `DeviceFirmwareUpdateStateChangedEvent`. More...

Inheritance diagram for peripheral::DeviceManager::FirmwareUpdateStateChangedEvent:

## Public Attributes

FirmwareUpdateState | newState
| New update state.
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: Firmware update state has changed This event will be sent to enclose one of more `DeviceFirmwareUpdateStateChangedEvent`.

That is, it will be sent before a series of firmware updates is started and after the firmware update series has ended.

The documentation for this struct was generated from the following file:

- PeripheralDeviceManager.idl